groups:
- name: ssl-certificate-expiration.rules
  rules:
  - alert: SSLCertExpiresSoon
    expr: probe_ssl_earliest_cert_expiry{job="blackbox-ssl"} - time() < 7 * 60 * 60
      * 24
    for: 30m
    labels:
      severity: critical
    annotations:
      description: Check SSL for specified nodes and consider reissuing certificate.
      runbook: troubleshooting/ssl_cert.md
      title: SSL certificate for {{ $labels.instance }} expires in {{ $value | humanizeDuration
        }}
